DEV: Drop old IE11 intersection-observer references (PR #12942)

It’s been awhile since we have supported IE11 so it should be safe to remove IntersectionObserver now.

From a TODO task in this repo:

drop when we eventually drop IE11

Announcement of when we removed IE11 support:

GitHub

That feels good :grin: